summaryrefslogtreecommitdiff
path: root/tests/scripts/features/reinvoke
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>1999-09-17 03:15:37 +0000
committerPaul Smith <psmith@gnu.org>1999-09-17 03:15:37 +0000
commita63f51340b540074dd98bfc7201e2221c5671d28 (patch)
tree8bea6f8caac20090a1951ab725bd942f7c9bd4ba /tests/scripts/features/reinvoke
parent45e04a5860476c40b0943e189c9a58f62dca07c8 (diff)
downloadgunmake-a63f51340b540074dd98bfc7201e2221c5671d28.tar.gz
* A few script fixes and updates for 3.78.
Diffstat (limited to 'tests/scripts/features/reinvoke')
-rw-r--r--tests/scripts/features/reinvoke12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/scripts/features/reinvoke b/tests/scripts/features/reinvoke
index 99fb466..713580c 100644
--- a/tests/scripts/features/reinvoke
+++ b/tests/scripts/features/reinvoke
@@ -18,7 +18,7 @@ all: ; \@echo 'running rules.'
$makefile $makefile2: $makefile_orig
\@echo 'rebuilding \$\@.'
- \@touch \$\@
+ \@echo >> \$\@
include $makefile2
@@ -54,11 +54,11 @@ SHELL = /bin/sh
all: ; @echo hello
-a : b ; touch $@
+a : b ; echo >> $@
-b : c ; [ -f $@ ] || touch $@
+b : c ; [ -f $@ ] || echo >> $@
-c: ; touch $@
+c: ; echo >> $@
include $(F)
EOM
@@ -74,7 +74,7 @@ sleep(2);
&run_make_with_options($makefile3, "F=a", &get_logfile, 0);
-$answer = "[ -f b ] || touch b\nhello\n";
+$answer = "[ -f b ] || echo >> b\nhello\n";
&compare_output($answer,&get_logfile(1));
# Now try with the file we're not updating being the actual file we're
@@ -82,7 +82,7 @@ $answer = "[ -f b ] || touch b\nhello\n";
&run_make_with_options($makefile3, "F=b", &get_logfile, 0);
-$answer = "[ -f b ] || touch b\nhello\n";
+$answer = "[ -f b ] || echo >> b\nhello\n";
&compare_output($answer,&get_logfile(1));
unlink('a','b','c');